# Train

## What is this folder

Here contains the code for training and mapping evaluation.

Each folder contains a training variation.

After training, each folder contains the checkpoint files for each fold.

The folders are named with the following convention:

`<method_type>`\_`<model_type>`\_`<prediction_type>`\_`<included_fields>`

e.g.

"classification_bert_complete_desc_unit",

which means: folder to perform classification using the bert model, predicting
for the complete thing+property output using description and unit

To train, just run `python train.py`

The inference code is within a folder `classification_prediction` or
`mapping_prediction`.

Note: the classification\_t5 folders are depracated in favor of the BERT-based
classification models.