# hipom_data_mapping

## Before we begin

This repository utilizes `.py` files rather than `.ipynb` for greater clarity.

If you use vscode, just use the ipython functionality from `.py` files.

In order to generate `.ipynb` file from `.py` file, you can do the following:

`jupytext --to notebook your_script.py`

## Order of Execution

- `data_import`: Import data from database
- `data_preprocess`: Apply pre-process method
- `train`: Train mapping model and apply model on test data
- `post_process`: Apply post-processing method
